MPI_Type_free_keyval(3)

NAME
MPI_Type_free_keyval - Frees a previously created type key value.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Type_free_keyval(int *type_keyval)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_TYPE_FREE_KEYVAL(TYPE_KEYVAL, IERROR)
	INTEGER	TYPE_KEYVAL, IERROR

C++ Syntax
#include <mpi.h>
static void MPI::Datatype::Free_keyval(int& type_keyval)

INPUT/OUTPUT PARAMETER

type_keyval
    Key value to free (integer).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Type_create_keyval